Bug 107843 - EDITING: No cropping options in Writer if the image is pasted from Impress
Summary: EDITING: No cropping options in Writer if the image is pasted from Impress
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.0.alpha1+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
: 112655 (view as bug list)
Depends on:
Blocks: Writer-Images Impress-Images Image-Crop
  Show dependency treegraph
 
Reported: 2017-05-14 10:27 UTC by Telesto
Modified: 2019-03-25 03:44 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (30.46 KB, application/vnd.oasis.opendocument.presentation)
2017-05-14 10:27 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2017-05-14 10:27:17 UTC
Description:
No cropping options in Writer if the image is pasted from Impress

Steps to Reproduce:
1. Open the attached presentation file
2. Copy the image 
3. Open a new Writer document and paste the image
4. It's not possible to crop the image

Actual Results:  
It's not possible to edit the image

Expected Results:
Editing should be possible


Reproducible: Always

User Profile Reset: No

Additional Info:
Version: 5.4.0.0.alpha1+
Build ID: 970b431f1a7b6b96c4c9536657ce4fe9d8f5b585
CPU threads: 4; OS: Windows 6.2; UI render: default; 
TinderBox: Win-x86@62-TDF, Branch:MASTER, Time: 2017-05-11_23:07:53
Locale: en-US (nl_NL); Calc: single


User-Agent: Mozilla/5.0 (Windows NT 6.2; WOW64; rv:45.0) Gecko/20100101 Firefox/45.0
Comment 1 Telesto 2017-05-14 10:27:51 UTC
Created attachment 133308 [details]
Example file
Comment 2 Buovjaga 2017-05-14 12:27:27 UTC
By default it pastes it as Impress 8. If you paste special - bitmap, you can crop. Not sure, if we are supposed to be able to crop these Impress 8 things?

Can Regina answer this question?

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha1+
Build ID: c0968aa4673a8ac9a8a09a0e291b58b94bdbb35e
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on May 13th 2016
Comment 3 Regina Henschel 2017-05-14 15:49:06 UTC
"Impress 8" produces an OLE. There crop is not needed, because it is done by the frame.

"Drawing Format" produces a shape. In Draw/Impress the command .uno:GrafAttrCrop contains the cropping. This command is not available in Writer. Therefore not the original image is inserted, but an image that only has the part, that remains after cropping. --> Feature request: Implement .uno:GrafAttrCrop for those shapes, that would be able to be cropped in Draw/Impress and then insert the shape in original size and crop it.

"GDI" contains an image wrapped into a vector format.
"Bitmap" contains an image directly.
Both "GDI" and "Bitmap" contain only the part, that remains after cropping. That has always been this way, so I would say it is more a feature request than a bug. I think, that the current behavior can be improved. The images can be inserted in original size and the same cropping as in Draw/Impress can then be applied automatically. For such images cropping is available in Writer as part of .uni:GraphicDialog. I don't know, whether the clipboard already contains the needed information.

Cropping is part of the style of family "Graphic" in file format. LibreOffice distinguishes between images as shapes and Writer-images, but nevertheless uses the same kind of style in file format, only naming one "gr" and the other "fr". Currently this distinction is necessary, because the capabilities of "Draw-Images" and "Writer-Images" are different.

The aim should be, to get rid of "Writer-Images". This issue belongs to this aim, regardless of naming it "bug" or "feature request".

This bug contains two problems, perhaps split it?

I cannot find a (Meta-)bug for removing Writer-images, but likely my search was bad. There should be one, because free rotation of images belongs to the same aim.
Comment 4 Buovjaga 2017-05-14 15:55:56 UTC
(In reply to Regina Henschel from comment #3)
> I cannot find a (Meta-)bug for removing Writer-images, but likely my search
> was bad. There should be one, because free rotation of images belongs to the
> same aim.

With the help of https://wiki.documentfoundation.org/QA/Tracking_Bugs I only found bug 103152
Comment 5 Xisco Faulí 2017-10-01 21:57:38 UTC
*** Bug 112655 has been marked as a duplicate of this bug. ***
Comment 6 Xisco Faulí 2017-10-01 21:59:07 UTC
According to https://bugs.documentfoundation.org/show_bug.cgi?id=112655#c1,
height and width can be changed in 6.0.

Could you please try to reproduce it with a master build from http://dev-builds.libreoffice.org/daily/master/ ?
You can install it alongside the standard version.
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' if the bug is still present in the master build
Comment 7 Regina Henschel 2017-10-28 17:23:22 UTC
The cropping dialog is still not available for a image as Draw/Impress shape in Writer.
Comment 8 QA Administrators 2019-03-25 03:44:23 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug